summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2015-11-09 10:19:00 +0100
committerMichael Weber <xmw@gentoo.org>2015-11-09 10:19:00 +0100
commit197ebb9c0e8534a992c2dc06490cfef915aec386 (patch)
tree580796a902d725d3f0f0ef1d44abe83f1c8c6f62 /app-backup
parentapp-backup/tsm: Version bump to latest patches in 6.3.2, 6.4.2, 7.1.2 and 7.1... (diff)
downloadgentoo-197ebb9c0e8534a992c2dc06490cfef915aec386.tar.gz
gentoo-197ebb9c0e8534a992c2dc06490cfef915aec386.tar.bz2
gentoo-197ebb9c0e8534a992c2dc06490cfef915aec386.zip
app-backup/backintime: Add fix for python3 --version on stderr (thanks Timo Ollech and Fabian Kislat, bug 551780).
Package-Manager: portage-2.2.21
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/backintime/backintime-1.1.4.ebuild2
-rw-r--r--app-backup/backintime/files/backintime-1.1.4-python-version-stderr.patch11
2 files changed, 13 insertions, 0 deletions
diff --git a/app-backup/backintime/backintime-1.1.4.ebuild b/app-backup/backintime/backintime-1.1.4.ebuild
index 6f7c7847de6..8c3700b24c9 100644
--- a/app-backup/backintime/backintime-1.1.4.ebuild
+++ b/app-backup/backintime/backintime-1.1.4.ebuild
@@ -28,6 +28,8 @@ DEPEND="${RDEPEND}"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
src_prepare() {
+ epatch "${FILESDIR}"/${P}-python-version-stderr.patch
+
#fix doc install location
sed -e "s:/doc/${PN}-common:/doc/${PF}:g" \
-i common/Makefile.template || die
diff --git a/app-backup/backintime/files/backintime-1.1.4-python-version-stderr.patch b/app-backup/backintime/files/backintime-1.1.4-python-version-stderr.patch
new file mode 100644
index 00000000000..ffc0d9b555b
--- /dev/null
+++ b/app-backup/backintime/files/backintime-1.1.4-python-version-stderr.patch
@@ -0,0 +1,11 @@
+--- backintime-1.1.4/common/configure
++++ backintime-1.1.4/common/configure
+@@ -84,7 +84,7 @@
+ done
+ printf "\n" >> Makefile
+
+-if [ $(python${PYVERSION} --version | grep -c "^Python 3") -ne 1 ]; then
++if [ $(python${PYVERSION} --version 2>&1 | grep -c "^Python 3") -ne 1 ]; then
+ printf "Warning: Wrong Python version.\n"
+ printf "Please make sure Python 3.x is used by adding '--python' or '--python3'.\n"
+ exit 1